Subject: Re: bug#26317: 26.0.50; Small incompatibility in ibuffer.el (ibuffer-compile-format)

From: Mark Oteiza <[email-masked]>
Date: Thu, 30 Mar 2017 20:25:06 -0400

John Mastro <[email-masked]> writes:

> John Mastro <[email-masked]> wrote:
>> In commit 7e2a8b1, ibuffer.el was change to use `string-width' in a couple
>> places where it previously used `length'. The result is that custom columns
>> which can return nil, which worked in Emacs 25, will now cause an error.
>
> I've attached a patch that fixes this. Rather than touching the calls to
> `string-width' directly, it translates nil to the empty string. Either
> way restores compatibility with Emacs 25, but translating nil to the
> empty string seems preferable in that it saves later code from caring.
>
> Even though it's a tiny change, I'm not a regular contributor or
> particularly familiar with ibuffer's implementation, so any review is
> appreciated. My copyright assignment is on file.

LGTM.  Sorry for breaking it, and thanks for the fix!

Applied as eeaa707.